Mint Api Key
curl --request POST \
--url https://api.member.dev/api/v1/teams/{team_id}/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"name": "<string>",
"can_moderate": false,
"expires_at": "2023-11-07T05:31:56Z",
"scopes": [
"*"
]
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/api-keys"
payload = {
"name": "<string>",
"can_moderate": False,
"expires_at": "2023-11-07T05:31:56Z",
"scopes": ["*"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
name: '<string>',
can_moderate: false,
expires_at: '2023-11-07T05:31:56Z',
scopes: ['*']
})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"created_by": "<string>",
"key_prefix": "<string>",
"name": "<string>",
"scopes": [
"<string>"
],
"secret": "<string>",
"can_moderate": false,
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"type": "<string>",
"links": {
"self": "<string>"
},
"meta": {},
"relationships": {}
},
"included": [
"<unknown>"
],
"links": {
"self": "<string>"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}api-keys
Mint Api Key
Mint a new API key for the team.
Returns the full plaintext secret in data.attributes.secret.
This is the ONLY time the secret is returned — store it immediately.
Managing keys requires a real user (JWT) session — a key cannot mint keys.
POST
/
api
/
v1
/
teams
/
{team_id}
/
api-keys
Mint Api Key
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
⌘I